## org.apache.commons.collections.functors
Class InstantiateFactory

    java.lang.Object
      org.apache.commons.collections.functors.InstantiateFactory

All Implemented Interfaces:
  Factory, Serializable

public class InstantiateFactory
extends Object
implements Factory, Serializable

Factory implementation that creates a new object instance by reflection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:47:38 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`InstantiateFactory(Class classToInstantiate)` Constructor that performs no validation.
`InstantiateFactory(Class classToInstantiate, Class[] paramTypes, Object[] args)` Constructor that performs no validation.

Method Summary
`Object` `create()` Creates an object using the stored constructor.
`static Factory` `getInstance(Class classToInstantiate, Class[] paramTypes, Object[] args)` Factory method that performs validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiateFactory

    public InstantiateFactory(Class classToInstantiate)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `classToInstantiate` - the class to instantiate

### InstantiateFactory

    public InstantiateFactory(Class classToInstantiate,
                              Class[] paramTypes,
                              Object[] args)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `classToInstantiate` - the class to instantiate
  `paramTypes` - the constructor parameter types, not cloned
  `args` - the constructor arguments, not cloned

Method Detail

### getInstance

    public static Factory getInstance(Class classToInstantiate,
                                      Class[] paramTypes,
                                      Object[] args)

  Factory method that performs validation.

  Parameters:
    `classToInstantiate` - the class to instantiate, not null
    `paramTypes` - the constructor parameter types
    `args` - the constructor arguments
  Returns:
    a new instantiate factory

### create

    public Object create()

  Creates an object using the stored constructor.

  Specified by:
    `create` in interface `Factory`
  Returns:
    the new object

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.